Package epydoc :: Module log :: Class SimpleLogger

[hide private]
[frames] | no frames]

# Class SimpleLogger

source code

Instance Methods | [hide private]

__init__(self, threshold=30) | source code

log(self, level, message) Display a message. | source code

Inherited from `Logger`: `close`, `end_block`, `end_progress`, `progress`, `start_block`, `start_progress`

Method Details | [hide private]

### log(self, level, message)

source code

Display a message.

Parameters:
  - `message` - The message string to display. `message` may contain newlines, but does not need to end in a newline.
  - `level` - An integer value indicating the severity of the message.
Overrides: Logger.log
  (inherited documentation)